Subject: Re: linux-next: build failure after merge of the staging tree

From: Mark Brown <[email-masked]>
Date: Mon, 26 Apr 2021 17:40:24 +0100

On Mon, Apr 26, 2021 at 06:23:29PM +0200, Greg KH wrote:
> On Mon, Apr 26, 2021 at 03:41:21PM +0100, Mark Brown wrote:

> >   spi: Rename enable1 to activate in spi_set_cs() (2021-04-23 15:36:18 +0100)

> I don't think I want to pull the full SPI merge into my staging tree at
> this point in time, is that wise?

I don't either, just putting it there in case you wanted it.

> I already submitted a pull request to Linus for the staging tree as-is,
> if there are problems we can work to address them then.

If it were a new API I'd have expected a cross tree merge of a tag with
just the API being added in it, though in this case since the API was
already there in mainline I'd been expecting it to get cleaned up with
Stephen's patch or something similar as part of the work in staging.